GET
/api/v1/circles/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "8ea0b9c2-6e91-492d-b22a-669b7e528d04",
"created_at": "2026-04-29T16:54:30+01:00",
"updated_at": "2026-04-29T16:54:30+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"accounts": [
{
"uuid": "fe2b48fa-49b2-480f-9036-4b278264964b",
"created_at": "2026-04-29T16:54:30+01:00",
"updated_at": "2026-04-29T16:54:30+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-04-29T16:54:30+01:00",
"next_review_date": "2026-04-29T16:54:30+01:00",
"previous_review_date": "2026-04-29T16:54:30+01:00",
"anniversary_review_date": "2026-04-29T16:54:30+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-04-29",
"last_interaction_at": "2026-04-29 16:54:30",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
],
"groups": [
{
"uuid": "be5f0936-c70a-4e28-8ab8-b891c31cde05",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "aef6a1e8-0c77-4da2-a27b-0d60a8649a3d",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-04-29T16:54:30+01:00",
"updated_at": "2026-04-29T16:54:30+01:00"
}
],
"joint_account_uuid": "4d999e76-b3b1-4b0f-bdb6-f2ae13dfac4d",
"login_access_level": "write",
"external_references": [
{
"uuid": "b70c9ca5-12a6-4759-b4ad-cdb71374c5dc",
"created_at": "2026-04-29T16:54:30+01:00",
"updated_at": "2026-04-29T16:54:30+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
]
}